Creates a new user_skill_list object
Request Information
URI Parameters :
None.
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "1907021f-0449-4e2e-aa78-163500ccd843",
"user_id": "890fbd04-0a29-4727-b3d4-abd015cc5ee3",
"user_code": "sample string 3",
"user": {
"id": "20cff6db-b9f3-4daa-a874-3a968be51c5a",
"db_language_id": "b525b650-3eb1-44f5-a0e2-9ffb1a110bba",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-10T23:02:44.8570879+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "90cc05cc-c8f4-4749-8f38-33bb92d28dad",
"sales_organization": {
"id": "03ed2f34-ead6-40e8-9709-43857d561937",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1f3a1133-b292-41af-aba6-a0ed0c1e35b2",
"db_currency_id": "08a6603a-ed0f-43dd-8d3a-c40c64f17a7c",
"db_language_id": "7cb6a580-e93a-4787-90c9-bbccbd181353",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T23:02:44.8570879+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "9ce3acd3-6916-4a65-aee3-db519d863839",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "34ab7c96-09e3-43cd-a091-1af6cd321953",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-10T23:02:44.8570879+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "84f7ab42-2506-4ebc-84a1-f2cda645f428"
},
"skill_id": "e9241252-f235-4fa2-ae7a-c2f332ce339e",
"skill_code": "sample string 5",
"skill": {
"id": "5392b637-6cbf-4c58-8958-f7ac06266eac",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "0c31f53f-c3a4-470d-9d59-c8819d434b4e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "03ed2f34-ead6-40e8-9709-43857d561937",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1f3a1133-b292-41af-aba6-a0ed0c1e35b2",
"db_currency_id": "08a6603a-ed0f-43dd-8d3a-c40c64f17a7c",
"db_language_id": "7cb6a580-e93a-4787-90c9-bbccbd181353",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-10T23:02:44.8570879+00:00"
},
"modified_dateutc": "2026-11-10T23:02:44.8570879+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-11-10T23:02:44.8570879+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.